(function ($) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 *
	 *
	 */

	$(function () {
		$(document).on('click', '.wfea_notice .notice-dismiss', function (event) {
			let data = {
				action: 'wfea_dismiss_notice',
				id: $(this).closest('div').attr('id')
			};

			$.post(ajaxurl, data, function (response) {
				console.log(response, 'DONE!');
			});
		});


		$('#widget-for-eventbrite-api-settings-api-key').on('input', function () {
			console.log('input')
			let input = $(this);
			let apikey = input.val();
			if (apikey) {
				input.removeClass("invalid").addClass("valid");
				$.ajax({
					url: "https://www.eventbriteapi.com/v3/users/me/organizations/?token=" + apikey,
					statusCode: {
						401: function () {
                            input.removeClass("valid").addClass("invalid");
							$('.api-key-result').replaceWith('<p class="api-key-result error">Invalid API Key</p>');
                            $( "#submit" ).prop( "disabled", true );
						}
					}
				}).then(function (data) {
                    $( "#submit" ).prop( "disabled", false );
					let orgid = data.organizations[0].id;
					$('.api-key-result').replaceWith('<p class="api-key-result"></p>');
					console.log(data.organizations);
					var arrayLength = data.organizations.length;
					for (var i = 0; i < arrayLength; i++) {
						console.log('in loop');
						console.log(data.organizations[i]);
						//Do something
						$('.api-key-result').append('<p class="api-key-org">Valid key for: ' + data.organizations[i].name +
							'<br>Org ID[' + i + ']: ' + data.organizations[i].id
							+ '</p>');
					}
					let token = element.value;
				});






			} else {
				input.removeClass("valid").addClass("invalid");
			}
		});
	});
})(jQuery);
