<?php

/**
 * helper Class to load freemius SDK
 */
namespace WidgetForEventbriteAPI\Includes;

class Freemius_Config
{
    public function init()
    {
        global  $wfea_fs ;
        
        if ( !isset( $wfea_fs ) ) {
            // Include Freemius SDK.
            require_once WIDGET_FOR_EVENTBRITE_API_PLUGIN_DIR . '/includes/vendor/freemius/wordpress-sdk/start.php';
            $wfea_fs = fs_dynamic_init( array(
                'id'             => '1330',
                'slug'           => 'widget-for-eventbrite-api',
                'type'           => 'plugin',
                'public_key'     => 'pk_97d4242a859ccad67940512ad19ab',
                'is_premium'     => false,
                'premium_suffix' => '( Pro )',
                'has_addons'     => true,
                'has_paid_plans' => true,
                'trial'          => array(
                'days'               => 14,
                'is_require_payment' => true,
            ),
                'navigation'     => 'tabs',
                'menu'           => array(
                'slug'    => 'widget-for-eventbrite-api-settings',
                'contact' => false,
                'support' => false,
                'parent'  => array(
                'slug' => 'options-general.php',
            ),
            ),
                'is_live'        => true,
            ) );
        }
        
        $wfea_fs->add_filter(
            'is_submenu_visible',
            array( $this, '_fs_show_contact_menu' ),
            10,
            2
        );
        return $wfea_fs;
    }
    
    public function _fs_show_contact_menu( $is_visible, $menu_id )
    {
        /** @var \Freemius $wfea_fs Freemius global object. */
        global  $wfea_fs ;
        if ( 'contact' === $menu_id ) {
            return $wfea_fs->has_any_license();
        }
        if ( 'support' === $menu_id ) {
            return !$wfea_fs->has_any_license();
        }
        return $is_visible;
    }

}